/**************************************************************
  (C) 1997 by Achim Kaiser

  You may distribute under the terms of the GNU General Public
  License as specified in the COPYING file.
**************************************************************/

/* Inter-Window-Communication */

#ifndef IWC_H
#define IWC_H

#include <X11/Xlib.h>
#include <X11/Xutil.h>

#define SEND 10
#define CLOSE 11
#define UPDATE 12
#define UPDATE_LIGHT 13

int IsDesktop();  

Window *GetWindowNamed(char *windowname);

void SendFiles(int x,int y,char *filenames);

void SendFontName(char *name);
void UpdateFontName();

void SetWindowCache(int status);
int GetWindowCache();

void LoadFileInfoToDesktop();
void SaveFileInfoFromDesktop();

int GetIconSaveStatus(char* path);
void SetIconSaveStatus(char* path,int status);

int GetWindowSaveStatus(char* path);
void SetWindowSaveStatus(char* path,int status);

void ManageAutofocus();

void SendTimer(long timer);
void UpdateTimer();

void SetDefaultBackground(char* defback);
char* GetDefaultBackground();

void GetIconPixmap(char* iconname,Pixmap *iconpixmap,Pixmap *shapepixmap);
void SetIconPixmap(char* iconname,Pixmap iconpixmap,Pixmap shapepixmap);
void EraseIconPixmaps();

void GetFileInfoFromDesktop(char *filename,char **position,char **icon,char **start);
void SendFileInfoToDesktop(char *filename,char *position,char *icon,char *start);
void EraseFileInfoInDesktop(char *filename);
void EraseMultipleInfo(char *filenames);

void GoalWasFolder(Window Quellwindow,char *foldername,
		     char *filenames,unsigned int keys);

void SendWindow(Window w,int message);

void WorkIncomingCall(XEvent evnt);

#endif
